summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 16:43:58 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 17:45:29 +0000
commit6636efb4b0685da300e45ba057768adcd8f6c3b3 (patch)
tree095583da93d50006110eb7007db9e7c45fbaf0d1 /tests/tests
parent881c765e52b6bd7e88becbf9ad8ab091023e3e35 (diff)
autopkgtests: provide quilt test
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/quilt34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/tests/quilt b/tests/tests/quilt
new file mode 100755
index 0000000..a55e1fb
--- /dev/null
+++ b/tests/tests/quilt
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive ruby-rails-3.2 3.2.6-1
+t-git-none
+
+mkdir -p incoming
+cd incoming
+t-worktree test
+cd ..
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+git fetch $tmp/incoming/$p dgit/sid:incoming
+
+dummy=0
+
+for cherry in incoming~1 incoming~0; do
+ git cherry-pick -x $cherry
+
+ dummy=$(( $dummy + 1))
+ v=3.2.6-2~dummy${dummy}
+
+ t-refs-same-start
+ t-dgit --dpkg-buildpackage:-d build
+ t-dgit push
+ t-pushed-good dgit/sid
+done
+
+echo ok.